Quassel IRC - Feature #168

per-channel inputline buffers
05/18/2008 03:17 PM - katastrophe

Status: Resolved Start date:

Priority: High Due date:

Assignee: MarcLandis % Done: 100%
Category: Quassel Client Estimated time: 0.00 hour
Target version: 0.6.0

0S: Any

Description

i would like to have one buffer per channel/query. sometimes im just writing something and want to leave it so and respond in
another channel.

this is not possible atm, i have to delete everything and write it again in the end.

thanks!

Related issues:
Has duplicate Quassel IRC - Bug #474: Keyup/Down Event in Input box should be... Rejected 01/08/2009

Associated revisions

Revision 184e68f556579cbe861f50b94b19ae83704fc17f - 03/03/2010 02:56 AM - MarcLandis

implemented per chat history

Closes #168

Revision f84e68f5 - 03/03/2010 02:56 AM - MarcLandis

implemented per chat history

Closes #168

History

#1 - 11/25/2008 05:05 PM - Alturiak

my thoughts on this:

- in addition to the history, the actual inputline should be channel-specific to, e.g. a filled inputline should clear upon switching channels and re-display
the text when switching back

- above-mentioned feature should maybe be allowed to be switched on/off by the user, as irssi doesn't seem to clear the inputline upon switching
channels

#2 - 12/04/2009 02:24 AM - juhp
- OS set to Any

| like quassel but | can't live in it without this feature.
(I don't know any other GUI irc client that doesn't do this.)

#3 - 02/25/2010 12:23 AM - nirik

Agreed. | am just playing around with Quessel and this is a feature that | would really like to see implemented as well.

#4 - 02/25/2010 10:47 PM - MarcLandis
- Status changed from New to Assigned

- Assignee set to MarcLandlis

#5 - 02/25/2010 10:50 PM - MarcLandis

- Target version set to 0.7.0

#6 - 02/26/2010 05:34 PM - MarcLandis
- Status changed from Assigned to Resolved

- % Done changed from 0 to 90
#7 - 03/03/2010 03:42 AM - johu
- Target version changed from 0.7.0 to 0.6.0
- % Done changed from 90 to 100
